Tamio

Update a customer

POST https://api.tamio.com/v2/customers/update/{uuid}

Updates an existing customer's information. The customer name is always required. Email can be changed as long as it is not already in use by another customer within the same account.

Path Parameters

uuid string*

Body Parameters

name string*

Customer's first name

last_name string

Customer's last name

email string

Customer's email address (must be unique within your account)

country string

Two-letter ISO country code

locale string

Preferred language/locale code

timezone_offset string

Timezone offset from UTC

phone string

Customer's phone number

teammate_id string

UUID of the teammate to assign, or null to unassign

Example
{
  "name": "John Updated",
  "last_name": "Doe",
  "email": "[email protected]",
  "country": "us"
}

Responses

200 Customer updated successfully

Customer updated successfully

status integer
customer Customer
400 Validation or business-logic error.
401 Unauthorized – invalid or missing Bearer token
/customers/update/{uuid}
1const response = await fetch("https://api.tamio.com/v2/customers/update/{uuid}", {
2 method: "POST",
3 headers: {
4 "Authorization": "Bearer YOUR_API_KEY",
5 "Content-Type": "application/json"
6 },
7 body: JSON.stringify({
8 "name": "John Updated",
9 "last_name": "Doe",
10 "email": "[email protected]",
11 "country": "us"
12 })
13});
14const data = await response.json();
Responses
{
  "status": 200,
  "customer": {
    "id": "550e8400-e29b-41d4-a716-446655440000",
    "object": "customer",
    "email": "[email protected]",
    "name": "John",
    "last_name": "Doe",
    "country": "de",
    "locale": "en",
    "timezone_offset": "+00:00",
    "phone": "+49123456789",
    "stripe_customer_id": "cus_P2BjgLkL",
    "teammate_id": "cc6e91ea-0275-408a-8106-25f0e3fcbd83",
    "affiliate_partner_id": "bb6e91ea-0275-408a-8106-25f0e3fcbd82",
    "has_notes": false,
    "created_at": 1700000000,
    "billing_addresses": [
      {
        "id": "0380f2d4-1a26-4074-8b6b-87b64f3d1b6e",
        "object": "address",
        "name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "address": "123 Main St",
        "city": "New York",
        "postcode": "10001",
        "state": "NY",
        "country": "us",
        "locale": "en",
        "phone": "+441234567890",
        "company": "Tamio Inc",
        "message": "Leave at front door",
        "shipping_address": false,
        "is_company": true,
        "vat": "US12345678",
        "verified_vat": true,
        "custom_billing_fields": {}
      }
    ],
    "shipping_addresses": [
      {
        "id": "0380f2d4-1a26-4074-8b6b-87b64f3d1b6e",
        "object": "address",
        "name": "John",
        "last_name": "Doe",
        "email": "[email protected]",
        "address": "123 Main St",
        "city": "New York",
        "postcode": "10001",
        "state": "NY",
        "country": "us",
        "locale": "en",
        "phone": "+441234567890",
        "company": "Tamio Inc",
        "message": "Leave at front door",
        "shipping_address": false,
        "is_company": true,
        "vat": "US12345678",
        "verified_vat": true,
        "custom_billing_fields": {}
      }
    ],
    "direct_debits": [
      {
        "currency": "EUR",
        "provider": "gocardless"
      }
    ],
    "client_id": "aa6e91ea-0275-408a-8106-25f0e3fcbd81",
    "category": "VIP"
  }
}